#
# spec file for package ghc-SDL
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name SDL
Name:           ghc-%{pkg_name}
Version:        0.6.5.1
Release:        5.59
Summary:        Binding to libSDL
License:        BSD-3-Clause
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
Source1:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/revision/1.cabal#/%{pkg_name}.cabal
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  libSDL-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Simple DirectMedia Layer (libSDL) is a cross-platform multimedia library
designed to provide low level access to audio, keyboard, mouse, joystick, 3D
hardware via OpenGL, and 2D video framebuffer. It is used by MPEG playback
software, emulators, and many popular games, including the award winning Linux
port of "Civilization: Call To Power.".

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires:       libSDL-devel
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}
cp -p %{SOURCE1} %{pkg_name}.cabal

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE
%dir %{_datadir}/%{pkg_name}-%{version}
%dir %{_datadir}/%{pkg_name}-%{version}/Examples
%dir %{_datadir}/%{pkg_name}-%{version}/Examples/MacOSX
%{_datadir}/%{pkg_name}-%{version}/README
%{_datadir}/%{pkg_name}-%{version}/MACOSX
%{_datadir}/%{pkg_name}-%{version}/WIN32
%{_datadir}/%{pkg_name}-%{version}/Examples/MacOSX/Main.hs
%{_datadir}/%{pkg_name}-%{version}/Examples/MacOSX/Makefile
%{_datadir}/%{pkg_name}-%{version}/Examples/MacOSX/MainWrapper.hs
%{_datadir}/%{pkg_name}-%{version}/Examples/MacOSX/mainc.c

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)

%changelog
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.6.5.1 revision 1 with cabal2obs.
  This update obsoletes ghc-7_8.diff.
* Tue May 12 2015 dap.darkness@gmail.com
- Added ghc-7_8.diff to resolve build time fail.
* Mon Oct 28 2013 sbahling@suse.com
- Remove doc subpackage
* Mon Oct 28 2013 sbahling@suse.com
- Update spec file.
  * Use new cabal-rpm template
  * Builds for SUSE Linux Enterprise 11
* Thu Aug  1 2013 dap.darkness@gmail.com
- Update to upstream version 0.6.5:
  * No upstream changelog.
- Fixed for Haskell Platform 2013.2.
* Mon Jun 17 2013 dap.darkness@gmail.com
- Initial build.
